| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
ieee_802_11_phdr Struct Reference

Pseudo-header for 802.11 wireless capture files carrying full PHY, signal, and frame metadata. More...

`#include <wtap.h>`

## Public Attributes
int | fcs_len
unsigned | decrypted: 1
unsigned | datapad: 1
unsigned | no_a_msdus: 1
unsigned | phy
union ieee_802_11_phy_info | phy_info
unsigned | has_channel: 1
unsigned | has_frequency: 1
unsigned | has_data_rate: 1
unsigned | has_signal_percent: 1
unsigned | has_noise_percent: 1
unsigned | has_signal_dbm: 1
unsigned | has_noise_dbm: 1
unsigned | has_signal_db: 1
unsigned | has_noise_db: 1
unsigned | has_tsf_timestamp: 1
unsigned | has_aggregate_info: 1
unsigned | has_zero_length_psdu_type: 1
uint16_t | channel
uint32_t | frequency
uint16_t | data_rate
uint8_t | signal_percent
uint8_t | noise_percent
int8_t | signal_dbm
int8_t | noise_dbm
uint8_t | signal_db
uint8_t | noise_db
uint64_t | tsf_timestamp
uint32_t | aggregate_flags
uint32_t | aggregate_id
uint8_t | zero_length_psdu_type

## Detailed Description

Pseudo-header for 802.11 wireless capture files carrying full PHY, signal, and frame metadata.

## Member Data Documentation

## ◆ aggregate_flags

uint32_t ieee_802_11_phdr::aggregate_flags

A-MPDU aggregation flags describing the role of this frame within the aggregate.

## ◆ aggregate_id

uint32_t ieee_802_11_phdr::aggregate_id

A-MPDU aggregate identifier used to group subframes for reassembly.

## ◆ channel

uint16_t ieee_802_11_phdr::channel

802.11 channel number on which this frame was captured.

## ◆ data_rate

uint16_t ieee_802_11_phdr::data_rate

Data rate at which this frame was transmitted, in units of 500 Kb/s.

## ◆ datapad

unsigned ieee_802_11_phdr::datapad

True if padding bytes are present between the 802.11 header and the payload.

## ◆ decrypted

unsigned ieee_802_11_phdr::decrypted

True if the frame has been decrypted despite the 802.11 "Protected" flag being set.

## ◆ fcs_len

int ieee_802_11_phdr::fcs_len

Number of bytes of FCS appended to the frame; -1 if unknown.

## ◆ frequency

uint32_t ieee_802_11_phdr::frequency

Center frequency in MHz of the channel on which this frame was captured.

## ◆ has_aggregate_info

unsigned ieee_802_11_phdr::has_aggregate_info

Non-zero if `aggregate_flags` and `aggregate_id` contain valid values.

## ◆ has_channel

unsigned ieee_802_11_phdr::has_channel

Non-zero if `channel` contains a valid value.

## ◆ has_data_rate

unsigned ieee_802_11_phdr::has_data_rate

Non-zero if `data_rate` contains a valid value.

## ◆ has_frequency

unsigned ieee_802_11_phdr::has_frequency

Non-zero if `frequency` contains a valid value.

## ◆ has_noise_db

unsigned ieee_802_11_phdr::has_noise_db

Non-zero if `noise_db` contains a valid value.

## ◆ has_noise_dbm

unsigned ieee_802_11_phdr::has_noise_dbm

Non-zero if `noise_dbm` contains a valid value.

## ◆ has_noise_percent

unsigned ieee_802_11_phdr::has_noise_percent

Non-zero if `noise_percent` contains a valid value.

## ◆ has_signal_db

unsigned ieee_802_11_phdr::has_signal_db

Non-zero if `signal_db` contains a valid value.

## ◆ has_signal_dbm

unsigned ieee_802_11_phdr::has_signal_dbm

Non-zero if `signal_dbm` contains a valid value.

## ◆ has_signal_percent

unsigned ieee_802_11_phdr::has_signal_percent

Non-zero if `signal_percent` contains a valid value.

## ◆ has_tsf_timestamp

unsigned ieee_802_11_phdr::has_tsf_timestamp

Non-zero if `tsf_timestamp` contains a valid value.

## ◆ has_zero_length_psdu_type

unsigned ieee_802_11_phdr::has_zero_length_psdu_type

Non-zero if `zero_length_psdu_type` contains a valid value.

## ◆ no_a_msdus

unsigned ieee_802_11_phdr::no_a_msdus

True if the A-MSDU subframe bit in the QoS Control field should be ignored.

## ◆ noise_db

uint8_t ieee_802_11_phdr::noise_db

Noise level in dB relative to an arbitrary reference point.

## ◆ noise_dbm

int8_t ieee_802_11_phdr::noise_dbm

Noise level in dBm.

## ◆ noise_percent

uint8_t ieee_802_11_phdr::noise_percent

Noise level expressed as a percentage of the maximum.

## ◆ phy

unsigned ieee_802_11_phdr::phy

PHY type identifier indicating the 802.11 physical layer variant (e.g. 802.11a/b/g/n/ac/ax).

## ◆ phy_info

union ieee_802_11_phy_info ieee_802_11_phdr::phy_info

PHY-specific metadata corresponding to the `phy` type.

## ◆ signal_db

uint8_t ieee_802_11_phdr::signal_db

Received signal level in dB relative to an arbitrary reference point.

## ◆ signal_dbm

int8_t ieee_802_11_phdr::signal_dbm

Received signal level in dBm.

## ◆ signal_percent

uint8_t ieee_802_11_phdr::signal_percent

Received signal level expressed as a percentage of the maximum.

## ◆ tsf_timestamp

uint64_t ieee_802_11_phdr::tsf_timestamp

802.11 Timing Synchronization Function (TSF) timer value at the time of capture, in microseconds.

## ◆ zero_length_psdu_type

uint8_t ieee_802_11_phdr::zero_length_psdu_type

Type code of the zero-length PSDU, used for sounding and NDP frames.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/wtap.h